Bug 45690 - Can not add disk root to Favorites on Windows
Can not add disk root to Favorites on Windows
Status: CLOSED WORKSFORME
Product: platform
Classification: Unclassified
Component: Favorites
4.x
PC Windows XP
: P4 (vote)
: 4.x
Assigned To: mslama
issues@platform
http://ui.netbeans.org/nonav/docs/ui/...
:
Depends on: 45810
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-29 17:03 UTC by Petr Jiricka
Modified: 2008-12-22 22:49 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2004-06-29 17:03:35 UTC
On the Windows platform, it is common to create
virtual volumes (e.g. Z:) for interesting places
that map to physical disks
(C:\development\project1) or to interesting
network places (\\buildmachine\commonlibs). It
should be possible to add such a virtual volume to
Favorites. Currently it is only possible to add a
subdirectory of a volume root, not the root itself
- the current chooser dialog does not allow that.
Comment 1 mslama 2004-07-01 16:06:25 UTC
Standard JFileChooser is used. You can write "/" to "File Name" text
box. But "C:\" does not work now because DataShadow does not support
it. (It tries to create shadow file "C:.shadow" but it is invalid.
Anyway Favorites is just to avoid creating of virtual disk like "Z:"
to eg. "C:\data\data\data". You can directly add "C:\data\data\data".
I do not think it is really important to support adding disks to
Favorites. Discuss with Jano and update spec if this is really
necessary. Anyway I file separate issue to handle invalid states when
user writes invalid input to "File Name" field.
Comment 2 rmatous 2004-07-01 16:21:21 UTC
Minority problem from my point of view. Frankly I welcome this lack of
behaviour.(I pushed to get rid of disk roots).

Workaround:
If Z: is mapped into c:\myWork\projects then easily add
c:\myWork\projects instead of Z:. 

Not defined in UI spec. and has problems in technical background. I
suggest WONTFIX (or future milestone and priority P4).

Comment 3 Petr Jiricka 2004-08-18 16:22:15 UTC
> Workaround:
> If Z: is mapped into c:\myWork\projects then easily add
> c:\myWork\projects instead of Z:. 

This is not an option if Z: is a network drive.

I am ok with P4 (downgrading), but not with WONTFIX.
Comment 4 rmatous 2004-08-18 16:47:57 UTC
If you need access \\mycompany.com\shared\projects\myide then don't
map Z:==\\mycompany.com\shared\projects\myide\ but
Z:==\\mycompany.com\shared\projects\ and then add to favourities
Z:\myide\.

So, there is option even for net drives but maybe awkward a little.
Comment 5 mslama 2004-08-18 16:59:49 UTC
It might not work due to access rights.
Comment 6 Petr Jiricka 2004-08-18 17:17:20 UTC
I agree there are various workarounds and and this use case may not be
too frequent, but my point is still that this is a bug.
Comment 7 jrojcek 2004-09-17 16:36:56 UTC
From user point of view it should be possible. It probably is a rare case, though.

Is there a special spec needed for this other than saying that the filechooser should allow 
the user to select also the disk roots?
Comment 8 mslama 2004-10-15 16:15:16 UTC
It works now as DataShadow supports it. But you must enter file name
to "File Name" text box manually eg:"C:\" or "e:\". Just clicking on
disk in list box does not work as it works for regular folders/files.
Comment 9 Marian Mirilovic 2005-07-12 10:15:21 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo